ReferenceAuth
/api/v1/auth/setup/password
Set a password through a setup link and sign in
POST
/api/v1/auth/setup/passwordRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/api/v1/auth/setup/password" \ -H "Content-Type: application/json" \ -d '{ "password": "stringst", "token": "string" }'{ "$schema": "https://example.com/api/v1/schemas/UserResponse.json", "avatarId": "string", "canSharePublicly": true, "color": "amber", "displayName": "string", "email": "string", "emailConfirmationPending": true, "emailVerified": true, "hasPassword": true, "id": "string", "locale": "en", "role": "superadmin", "username": "string"}